## compizconfig-backend-tdeconfig-trinity 14.0.4

=== debian/changelog ===
compizconfig-backend-tdeconfig-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 12:59:38 +0200

compizconfig-backend-tdeconfig-trinity (0.8.4-0ubuntu1) lucid; urgency=low

  * Lucid rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 05 Mar 2010 12:31:00 -0600

compizconfig-backend-tdeconfig-trinity (0.7.4-0ubuntu5) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

compizconfig-backend-tdeconfig-trinity (0.7.4-0ubuntu3) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 06 March 2009 01:35:00 -0600

compizconfig-backend-tdeconfig-trinity (0.7.4-0ubuntu2) intrepid; urgency=low

  * Added -trinity prefix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 01 Dec 2008 08:30:00 -0600

compizconfig-backend-tdeconfig (0.7.4-0ubuntu1) hardy; urgency=low

  * new upstream release

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 05 Apr 2008 12:56:08 +0200

compizconfig-backend-tdeconfig (0.7.2-0ubuntu1) hardy; urgency=low

  * new upstream release

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 07 Mar 2008 15:06:14 +0100

compizconfig-backend-tdeconfig (0.6.99+git20071127-0ubuntu1) hardy; urgency=low

  * renamed to match debian name
  * new git HEAD snapshot
  * update build depends

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 27 Nov 2007 20:03:35 +0100

libcompizconfig-backend-tdeconfig (0.0+git20070912-0ubuntu1) gutsy; urgency=low

  * new git snapshot based on 0.6 branch

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 10 Aug 2007 16:25:52 +0200

libcompizconfig-backend-tdeconfig (0.0+git20070703-0ubuntu1) gutsy; urgency=low

  * initial git snapshot

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 03 Jul 2007 15:15:49 +0200

## compizconfig-backend-tdeconfig-trinity 14.0.8

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( compizconfig-backend-tdeconfig )
set( VERSION R14.0.8 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### set PKG_CONFIG_PATH

set( ENV{PKG_CONFIG_PATH} "${PKG_CONFIG_PATH}:$ENV{PKG_CONFIG_PATH}:${LIB_INSTALL_DIR}/pkgconfig" )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( settings-backend )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## compizconfig-backend-tdeconfig-trinity 14.0.5

=== debian/changelog ===
compizconfig-backend-tdeconfig-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 06:50:37 +0200

=== debian/control ===
Source: compizconfig-backend-tdeconfig-trinity
Section: libs
Priority: extra
Maintainer: Timothy Pearosn <kb9vqf@pearsoncomputing.net>
Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, compiz-trinity-dev, pkg-config, intltool, tdelibs14-trinity-dev, libcompizconfig0-trinity-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: compizconfig-backend-tdeconfig-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: compizconfig-backend-kconfig-kde3 (<< 4:14.0.0~), compizconfig-backend-kconfig-trinity (<< 4:14.0.0~)
Breaks: compizconfig-backend-kconfig-kde3 (<< 4:14.0.0~), compizconfig-backend-kconfig-trinity (<< 4:14.0.0~)
Conflicts: libcompizconfig-backend-tdeconfig-trinity
Description: TDEConfig [Trinity] Settings library for plugins - OpenCompositing Project
 The OpenCompositing Project brings 3D desktop visual effects that improve
 usability of the X Window System and provide increased productivity
 through plugins and themes contributed by the community giving a
 rich desktop experience.
 .
 This package contains the TDEConfig (Trinity) settings backend for
 libcompizconfig.

=== debian/rules ===
#!/usr/bin/make -f
  
include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/tde

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

## compizconfig-backend-tdeconfig-trinity 14.0.6

=== debian/changelog ===
compizconfig-backend-tdeconfig-trinity (4:14.0.6-0raspbian7.0.0+0) raspbian-wheezy; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 00:49:34 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Package: compizconfig-backend-tdeconfig-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: compizconfig-backend-kconfig-kde3 (<< 4:14.0.0~), compizconfig-backend-kconfig-trinity (<< 4:14.0.0~)
-Breaks: compizconfig-backend-kconfig-kde3 (<< 4:14.0.0~), compizconfig-backend-kconfig-trinity (<< 4:14.0.0~)
+Replaces: compizconfig-backend-kconfig-trinity (<< 4:14.0.0~)
+Breaks: compizconfig-backend-kconfig-trinity (<< 4:14.0.0~)
 Conflicts: libcompizconfig-backend-tdeconfig-trinity
 Description: TDEConfig [Trinity] Settings library for plugins - OpenCompositing Project
  The OpenCompositing Project brings 3D desktop visual effects that improve

## compizconfig-backend-tdeconfig-trinity 14.0.8

=== debian/changelog ===
compizconfig-backend-tdeconfig-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:06:57 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON"

## compizconfig-backend-tdeconfig-trinity 14.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #### general package setup
 
 project( compizconfig-backend-tdeconfig )
-set( VERSION R14.0.8 )
+set( VERSION R14.0.9 )
 
 
 #### include essential cmake modules
@@ -46,7 +46,7 @@
 
 ##### optional stuff
 
-option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
+option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
 option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )

=== debian/changelog ===
compizconfig-backend-tdeconfig-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 10:59:00 +0200

## compizconfig-backend-tdeconfig-trinity 14.0.10

=== debian/changelog ===
compizconfig-backend-tdeconfig-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
Source: compizconfig-backend-tdeconfig-trinity
Section: libs
Priority: extra
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, compiz-trinity-dev, pkg-config, tdelibs14-trinity-dev, libcompizconfig0-trinity-dev
Standards-Version: 3.8.4

Package: compizconfig-backend-tdeconfig-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: compizconfig-backend-kconfig-kde3 (<< 4:14.0.0~), compizconfig-backend-kconfig-trinity (<< 4:14.0.0~)
Breaks: compizconfig-backend-kconfig-kde3 (<< 4:14.0.0~), compizconfig-backend-kconfig-trinity (<< 4:14.0.0~)
Conflicts: libcompizconfig-backend-tdeconfig-trinity
Description: TDEConfig [Trinity] Settings library for plugins - OpenCompositing Project
 The OpenCompositing Project brings 3D desktop visual effects that improve
 usability of the X Window System and provide increased productivity
 through plugins and themes contributed by the community giving a
 rich desktop experience.
 .
 This package contains the TDEConfig (Trinity) settings backend for
 libcompizconfig.

## compizconfig-backend-tdeconfig-trinity 14.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 2.8.12 )
 
 
 #### general package setup
 
 project( compizconfig-backend-tdeconfig )
-set( VERSION R14.0.9 )
+set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules

=== debian/changelog ===
compizconfig-backend-tdeconfig-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#compizconfig-backend-tdeconfig

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 22 Oct 2021 01:07:42 +0200

## compizconfig-backend-tdeconfig-trinity 14.0.12

=== debian/changelog ===
compizconfig-backend-tdeconfig-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#compizconfig-backend-tdeconfig

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 29 Dec 2021 13:02:31 +0100

## compizconfig-backend-tdeconfig-trinity 14.0.13

=== debian/changelog ===
compizconfig-backend-tdeconfig-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#compizconfig-backend-tdeconfig

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 26 Jun 2022 09:41:27 +0200

## compizconfig-backend-tdeconfig-trinity 14.1.0

=== debian/changelog ===
compizconfig-backend-tdeconfig-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#compizconfig-backend-tdeconfig

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## compizconfig-backend-tdeconfig-trinity 14.1.1

=== debian/changelog ===
compizconfig-backend-tdeconfig-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#compizconfig-backend-tdeconfig

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## compizconfig-backend-tdeconfig-trinity 14.1.2

=== debian/changelog ===
compizconfig-backend-tdeconfig-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#compizconfig-backend-tdeconfig

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 17 Mar 2024 13:09:21 +0100

## compizconfig-backend-tdeconfig-trinity 14.1.3

=== debian/changelog ===
compizconfig-backend-tdeconfig-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#compizconfig-backend-tdeconfig

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 14:56:32 +0200

## compizconfig-backend-tdeconfig-trinity 14.1.4

=== debian/changelog ===
compizconfig-backend-tdeconfig-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#compizconfig-backend-tdeconfig

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## compizconfig-backend-tdeconfig-trinity 14.1.5~pre1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,16 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8.12 )
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 #### general package setup
 
 project( compizconfig-backend-tdeconfig )
-set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules
@@ -29,7 +32,6 @@
 
 #### include our cmake modules
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )

=== debian/changelog ===
compizconfig-backend-tdeconfig-trinity (4:14.1.5~pre1-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for ada1f19c2b6f787d4f365a8bf2c0f82deffd68a3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#compizconfig-backend-tdeconfig

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## compizconfig-backend-tdeconfig-trinity 14.1.5

=== debian/changelog ===
compizconfig-backend-tdeconfig-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#compizconfig-backend-tdeconfig

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## compizconfig-backend-tdeconfig-trinity 14.1.6~pre0

=== debian/changelog ===
compizconfig-backend-tdeconfig-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for ada1f19c2b6f787d4f365a8bf2c0f82deffd68a3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#compizconfig-backend-tdeconfig

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## compizconfig-backend-tdeconfig-trinity 14.1.6~pre1

=== debian/changelog ===
compizconfig-backend-tdeconfig-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for b1decc69e2b0db2864a3515af9d69a5c1a622a33
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#compizconfig-backend-tdeconfig

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:47:15 +0100

## compizconfig-backend-tdeconfig-trinity 14.2.0~pre9

=== settings-backend/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${X11_INCLUDE_DIR}
  ${COMPIZCONFIG_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### tdeconfig (shared)

tde_add_library( tdeconfig SHARED

  SOURCES
        tdeconfig_backend.cpp
  LINK
     tdecore-shared
     ${COMPIZCONFIG_LIBRARIES}

  DESTINATION ${LIB_INSTALL_DIR}/compizconfig/backends
)

=== debian/changelog ===
compizconfig-backend-tdeconfig-trinity (4:14.2.0~pre9-0ubuntu25.10.0+6) questing; urgency=low

  * Automated git build for e645ebc8c1c49deeb8b656d4ae5802b11e2f0fdc
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#compizconfig-backend-tdeconfig

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: extra
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, compiz-trinity-dev, pkg-config, tdelibs14-trinity-dev, libcompizconfig0-trinity-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, compiz-trinity-dev, pkg-config, tdelibs14-trinity-dev, libcompizconfig0-trinity-dev
 Standards-Version: 3.8.4
 
 Package: compizconfig-backend-tdeconfig-trinity

## compizconfig-backend-tdeconfig-trinity 14.2.0~pre10

=== debian/changelog ===
compizconfig-backend-tdeconfig-trinity (4:14.2.0~pre10-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 8b1bda21fd73fe44223306d42fe44139d75472c5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#compizconfig-backend-tdeconfig

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 04:58:03 +0100
